Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.workbench.diagram
Class DiagramExporterRegistry.ExporterInfo

    java.lang.Object
      biouml.workbench.diagram.DiagramExporterRegistry.ExporterInfo

Enclosing class:
  DiagramExporterRegistry

public static class DiagramExporterRegistry.ExporterInfo
extends java.lang.Object

Utility class that stores information about `DiagramExporter`.

Field Summary
`protected java.lang.String` | `description`
`protected java.lang.String` | `diagramType`
`protected DiagramExporter` | `exporter`
`protected java.lang.String` | `format`
`protected java.lang.String` | `suffix`

Constructor Summary
`DiagramExporterRegistry.ExporterInfo(java.lang.String diagramType, DiagramExporter exporter, java.lang.String format, java.lang.String suffix, java.lang.String desription)`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDiagramType()`
`DiagramExporter` | `getExporter()`
`java.lang.String` | `getFormat()`
`java.lang.String` | `getSuffix()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exporter

    protected DiagramExporter exporter

### diagramType

    protected java.lang.String diagramType

### format

    protected java.lang.String format

### suffix

    protected java.lang.String suffix

### description

    protected java.lang.String description

Constructor Detail

### DiagramExporterRegistry.ExporterInfo

    public DiagramExporterRegistry.ExporterInfo(java.lang.String diagramType,
                                                DiagramExporter exporter,
                                                java.lang.String format,
                                                java.lang.String suffix,
                                                java.lang.String desription)

Method Detail

### getExporter

    public DiagramExporter getExporter()

### getDiagramType

    public java.lang.String getDiagramType()

### getFormat

    public java.lang.String getFormat()

### getSuffix

    public java.lang.String getSuffix()

### getDescription

    public java.lang.String getDescription()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.